{"openapi":"3.0.1","info":{"title":"OpenAPI definition","version":"v0"},"servers":[{"url":"http://securemsbudgetd.mrdev.mx","description":"Generated server url"}],"paths":{"/api/v1/quotes/{id}/labor-mode":{"put":{"tags":["Quotes"],"operationId":"updateLaborMode","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuoteLaborModeRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseQuoteDetailDto"}}}}}}},"/api/v1/quotes/{id}/detail":{"get":{"tags":["Quotes"],"operationId":"getDetail","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseQuoteDetailDto"}}}}}},"put":{"tags":["Quotes"],"operationId":"saveDetail","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuoteDetailSaveRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseQuoteDetailDto"}}}}}}},"/api/v1/quotes/{id}/status":{"post":{"tags":["Quotes"],"operationId":"updateStatus","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuoteStatusUpdateRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseQuote"}}}}}}},"/api/v1/quotes/{id}/pdf":{"post":{"tags":["Quotes"],"operationId":"generatePdf","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuotePdfRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"string","format":"byte"}}}}}}},"/api/v1/quotes/{id}/deliver-to-client":{"post":{"tags":["Quotes"],"operationId":"deliverToClient","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuoteDeliverRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseQuote"}}}}}}},"/api/v1/quotes/unlock-from-survey":{"post":{"tags":["Quotes"],"operationId":"unlockFromSurvey","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuoteUnlockRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseQuote"}}}}}}},"/api/v1/quotes/mark-survey-in-progress":{"post":{"tags":["Quotes"],"operationId":"markSurveyInProgress","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuoteSurveyInProgressRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseQuote"}}}}}}},"/api/v1/quotes/from-folio":{"post":{"tags":["Quotes"],"operationId":"createFromFolio","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/QuoteFromFolioRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseQuote"}}}}}}},"/api/v1/quotes":{"get":{"tags":["Quotes"],"operationId":"findAll","responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseListQuote"}}}}}}},"/api/v1/quotes/{id}":{"get":{"tags":["Quotes"],"operationId":"findById","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseQuote"}}}}}}},"/api/v1/quotes/{id}/document-context":{"get":{"tags":["Quotes"],"operationId":"documentContext","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int32"}},{"name":"currency","in":"query","required":false,"schema":{"type":"string","default":"USD"}}],"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/ApiResponseQuoteDocumentContextDto"}}}}}}}},"components":{"schemas":{"QuoteLaborModeRequest":{"required":["laborMode"],"type":"object","properties":{"laborMode":{"pattern":"PERCENT_20|PER_DAY","type":"string"}}},"ApiResponseQuoteDetailDto":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/QuoteDetailDto"}}},"QuoteCategoryDto":{"type":"object","properties":{"categoryId":{"type":"integer","format":"int32"},"name":{"type":"string"},"concept":{"type":"string"},"selected":{"type":"boolean"}}},"QuoteDetailDto":{"type":"object","properties":{"quoteId":{"type":"integer","format":"int32"},"folioCode":{"type":"string"},"customerId":{"type":"integer","format":"int32"},"clientName":{"type":"string"},"projectName":{"type":"string"},"solutionName":{"type":"string"},"solutionId":{"type":"integer","format":"int32"},"surveyId":{"type":"integer","format":"int32"},"statusCode":{"type":"string"},"statusDisplayName":{"type":"string"},"commercialNotes":{"type":"string"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/QuoteCategoryDto"}},"lines":{"type":"array","items":{"$ref":"#/components/schemas/QuoteLineDto"}},"sections":{"type":"array","items":{"$ref":"#/components/schemas/QuoteSectionDto"}},"laborMode":{"type":"string"},"seeded":{"type":"boolean"},"quoteNumber":{"type":"integer","format":"int32"},"quoteNumberFormatted":{"type":"string"},"issuedAt":{"type":"string","format":"date-time"},"validUntil":{"type":"string","format":"date"},"paymentTermId":{"type":"integer","format":"int32"},"paymentTermLabel":{"type":"string"},"paymentTermCustomText":{"type":"string"},"issuerDisplayName":{"type":"string"},"clientAddress":{"type":"string"},"attention":{"type":"string"},"clientEmail":{"type":"string"},"ivaPercent":{"type":"number"},"canEdit":{"type":"boolean"},"delivered":{"type":"boolean"}}},"QuoteLineDto":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"categoryId":{"type":"integer","format":"int32"},"categoryName":{"type":"string"},"productId":{"type":"integer","format":"int32"},"surveyItemId":{"type":"integer","format":"int32"},"code":{"type":"string"},"model":{"type":"string"},"brand":{"type":"string"},"description":{"type":"string"},"measurementUnitName":{"type":"string"},"quantity":{"type":"number"},"unitPrice":{"type":"number"},"source":{"type":"string"},"lineType":{"type":"string"},"sectionKey":{"type":"string"},"visibleInPdf":{"type":"boolean"},"serviceId":{"type":"integer","format":"int32"}}},"QuoteSectionDto":{"type":"object","properties":{"sectionKey":{"type":"string"},"title":{"type":"string"},"concept":{"type":"string"},"presentationMode":{"type":"string"},"selected":{"type":"boolean"},"sortOrder":{"type":"integer","format":"int32"}}},"QuoteCategorySaveItem":{"required":["categoryId"],"type":"object","properties":{"categoryId":{"type":"integer","format":"int32"},"selected":{"type":"boolean"}}},"QuoteDetailSaveRequest":{"required":["categories","lines"],"type":"object","properties":{"projectName":{"type":"string"},"commercialNotes":{"type":"string"},"paymentTermId":{"type":"integer","format":"int32"},"paymentTermCustomText":{"type":"string"},"categories":{"type":"array","items":{"$ref":"#/components/schemas/QuoteCategorySaveItem"}},"lines":{"type":"array","items":{"$ref":"#/components/schemas/QuoteLineSaveItem"}}}},"QuoteLineSaveItem":{"required":["quantity","unitPrice"],"type":"object","properties":{"id":{"type":"integer","format":"int32"},"categoryId":{"type":"integer","format":"int32"},"productId":{"type":"integer","format":"int32"},"serviceId":{"type":"integer","format":"int32"},"surveyItemId":{"type":"integer","format":"int32"},"code":{"type":"string"},"model":{"type":"string"},"description":{"type":"string"},"measurementUnitName":{"type":"string"},"quantity":{"type":"number"},"unitPrice":{"type":"number"},"source":{"type":"string"},"lineType":{"type":"string"},"sectionKey":{"type":"string"},"visibleInPdf":{"type":"boolean"},"rollupHeader":{"type":"boolean"}}},"QuoteStatusUpdateRequest":{"required":["statusCode"],"type":"object","properties":{"statusCode":{"maxLength":50,"minLength":0,"type":"string"}}},"ApiResponseQuote":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/Quote"}}},"Quote":{"type":"object","properties":{"id":{"type":"integer","format":"int32"},"preSaleFolderId":{"type":"integer","format":"int32"},"folioCode":{"type":"string"},"customerId":{"type":"integer","format":"int32"},"projectName":{"type":"string"},"surveyId":{"type":"integer","format":"int32"},"statusId":{"type":"integer","format":"int32"},"statusCode":{"type":"string"},"statusDisplayName":{"type":"string"},"commercialNotes":{"type":"string"},"solutionId":{"type":"integer","format":"int32"},"solutionName":{"type":"string"},"quoteNumber":{"type":"integer","format":"int32"},"issuedAt":{"type":"string","format":"date-time"},"validUntil":{"type":"string","format":"date"},"paymentTermId":{"type":"integer","format":"int32"},"paymentTermCustomText":{"type":"string"},"fxRateAtIssue":{"type":"number"},"fxRateIssueDate":{"type":"string","format":"date"},"ivaPercentSnapshot":{"type":"number"},"issuerDisplayName":{"type":"string"},"createdAt":{"type":"string","format":"date-time"},"updatedAt":{"type":"string","format":"date-time"}}},"QuotePdfRequest":{"required":["currency","variant"],"type":"object","properties":{"variant":{"type":"string","enum":["CATEGORIES_ONLY","FULL_DETAIL"]},"currency":{"type":"string","enum":["USD","MXN"]}}},"QuoteDeliverRequest":{"type":"object","properties":{"paymentTermId":{"type":"integer","format":"int32"},"paymentTermCustomText":{"maxLength":500,"minLength":0,"type":"string"},"issuerDisplayName":{"maxLength":255,"minLength":0,"type":"string"}}},"QuoteUnlockRequest":{"required":["preSaleFolderId","surveyId"],"type":"object","properties":{"preSaleFolderId":{"type":"integer","format":"int32"},"surveyId":{"type":"integer","format":"int32"}}},"QuoteSurveyInProgressRequest":{"required":["preSaleFolderId"],"type":"object","properties":{"preSaleFolderId":{"type":"integer","format":"int32"},"surveyId":{"type":"integer","format":"int32"}}},"QuoteFromFolioRequest":{"required":["customerId","folioCode","preSaleFolderId"],"type":"object","properties":{"preSaleFolderId":{"type":"integer","format":"int32"},"folioCode":{"maxLength":20,"minLength":0,"type":"string"},"customerId":{"type":"integer","format":"int32"},"projectName":{"maxLength":255,"minLength":0,"type":"string"}}},"ApiResponseListQuote":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"type":"array","items":{"$ref":"#/components/schemas/Quote"}}}},"ApiResponseQuoteDocumentContextDto":{"type":"object","properties":{"status":{"type":"integer","format":"int32"},"message":{"type":"string"},"data":{"$ref":"#/components/schemas/QuoteDocumentContextDto"}}},"QuoteDocumentContextDto":{"type":"object","properties":{"quoteId":{"type":"integer","format":"int32"},"quoteNumber":{"type":"integer","format":"int32"},"quoteNumberFormatted":{"type":"string"},"issuedAt":{"type":"string","format":"date-time"},"validUntil":{"type":"string","format":"date"},"paymentTermId":{"type":"integer","format":"int32"},"paymentTermLabel":{"type":"string"},"paymentTermCustomText":{"type":"string"},"issuerDisplayName":{"type":"string"},"clientAddress":{"type":"string"},"attention":{"type":"string"},"clientEmail":{"type":"string"},"ivaPercent":{"type":"number"},"fxRateApplied":{"type":"number"},"currencyCode":{"type":"string"},"canEdit":{"type":"boolean"},"delivered":{"type":"boolean"}}}}}}